<?php
namespace TYPO3\Test\Controller;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2013 
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 *
 * @package test
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class FeController extends \TYPO3\CMS\Extbase\Mvc\Controller\ActionController {

	/**
	 * feRepository
	 *
	 * @var \TYPO3\Test\Domain\Repository\FeRepository
	 * @inject
	 */
	protected $feRepository;

	/**
	 * action list
	 *
	 * @return void
	 */
	public function listAction() {
		$fes = $this->feRepository->findAll();
		$this->view->assign('fes', $fes);
	}

	/**
	 * action show
	 *
	 * @param \TYPO3\Test\Domain\Model\Fe $fe
	 * @return void
	 */
	public function showAction(\TYPO3\Test\Domain\Model\Fe $fe) {
		$this->view->assign('fe', $fe);
	}

	/**
	 * action new
	 *
	 * @param \TYPO3\Test\Domain\Model\Fe $newFe
	 * @dontvalidate $newFe
	 * @return void
	 */
	public function newAction(\TYPO3\Test\Domain\Model\Fe $newFe = NULL) {
		$this->view->assign('newFe', $newFe);
	}

	/**
	 * action create
	 *
	 * @param \TYPO3\Test\Domain\Model\Fe $newFe
	 * @return void
	 */
	public function createAction(\TYPO3\Test\Domain\Model\Fe $newFe) {
		$this->feRepository->add($newFe);
		$this->flashMessageContainer->add('Your new Fe was created.');
		$this->redirect('list');
	}

	/**
	 * action edit
	 *
	 * @param \TYPO3\Test\Domain\Model\Fe $fe
	 * @return void
	 */
	public function editAction(\TYPO3\Test\Domain\Model\Fe $fe) {
		$this->view->assign('fe', $fe);
	}

	/**
	 * action update
	 *
	 * @param \TYPO3\Test\Domain\Model\Fe $fe
	 * @return void
	 */
	public function updateAction(\TYPO3\Test\Domain\Model\Fe $fe) {
		$this->feRepository->update($fe);
		$this->flashMessageContainer->add('Your Fe was updated.');
		$this->redirect('list');
	}

}
?>